
<div  class="panel panel-primary" id="newCar">
  <div class="panel-heading">
  <div class="row" style="padding:0px;">
      <div class="col-xs-2 col-md-2"style="float:right;">
        <h5 style="font-size:1.2em;">مستأجر جديد</h5>
      </div>
      <div class="col-xs-2 col-md-2"style="float:left;">
        <button id="old" tr="" type="button" style="font-weight:bold;display:none;" class="btn btn-danger">بيانات المستاجر</button>
      </div>
  </div>
  </div>
  <div class="panel-body" style="background-color:#00324d; color:#cce5ff;" >
<form id="new6" method="post" class="form-horizontal" style="float:center;">
  <br />
    <div class="row" style="padding:2px;">
      <input type="hidden" id="cust_id" name="cust_id" />
        <div class="col-xs-3 col-md-2"style="float:right;">
          <label for="idSA" class="control-label"style="float:left;">رقم الهوية</label>
        </div>
        <div class="col-xs-3 col-md-2"style="float:right;padding:2px">
          <input type="number" class="form-control" style="float:right;" id="idSA" name="idSA" onchange="ido()"  placeholder="رقم الهوية" required />
          <div class="text-danger" style="font-size:14px;" id="idSA_msg"></div>
        </div>
        <div class="col-xs-1 col-md-1"style="float:right;">
          <label for="xn" class="control-label"style="float:left;">نسخة رقم</label>
        </div>
        <div class="col-xs-1 col-md-1"style="float:right;padding:2px;">
          <input type="number" class="form-control" style="float:right;" id="xn" name="xn" placeholder="نسخة" required />
          <div class="text-danger" style="font-size:14px;" id="xn_msg"></div>
        </div>
    </div>
    <div class="row" style="padding:xpx;">
  
    <div class="col-xs-3 col-md-2"style="float:right;">
          <label for="cust_name" class="control-label"style="float:left;">اسم المستأجر</label>
        </div>
        <div class="col-xs-4 col-md-4"style="float:right;padding:2px;">
          <input type="text" class="form-control" style="float:right;" id="cust_name" name="cust_name" placeholder="اسم المستأجر" required />
          <div class="text-danger" style="font-size:14px;" id="cust_name_msg"></div>
        </div></div>
    <div class="row" style="padding:4px;">
      <div class="col-xs-3 col-md-2"style="float:right;">
        <label for="id_From" class="control-label"style="float:left;">صادر من</label>
      </div>
      <div class="col-xs-3 col-md-2"style="float:right;padding:2px;">
        <input type="text" class="form-control" style="float:right;" id="id_From" name="id_From" value="جدة" placeholder="مصدرها"/>
        <div class="text-danger" style="font-size:14px;" id="id_From_msg"></div>
      </div>
      <div class="col-xs-3 col-md-1"style="float:right;">
        <label for="id_Expire" class="control-label"style="float:left;">تنتهي</label>
      </div>
        <div class="col-xs-3 col-md-2"style="float:right;padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="id_Expire" name="id_Expire" onchange="mkhh('id_Expire')" placeholder="نهاية الهوية">
        <script>
          $(function() {
            var calendar = $.calendars.instance();
            $('#id_Expire').calendarsPicker({
              calendar: calendar,
              yearRange: 'c+0:c+10',
              minDate : -1.03
            });
            });
        </script>
      </div>
      <div class="col-xs-3 col-md-2"style="float:right;">
          <label for="nation_sr" class="control-label"style="float:left;">الجنسية</label>
        </div>
        <div class="col-xs-3 col-md-2"style="float:right;padding:2px;">
          <input type="text" class="form-control" style="float:right;" id="nation_sr" name="nation_sr" placeholder="الجنسية"/>
          <div class="text-danger" style="font-size:14px;" id="nation_msg"></div>
          <input type="hidden" id="nation" name="nation"/>
        </div>
     </div>
      <div class="row"style="padding:4px;">
      <div class="col-md-2"style="float:right;">
        <label for="birth_hijri" class="control-label"style="float:left;">تاريخ الميلاد</label>
      </div>
      <div class="col-md-1"style="float:right;padding:2px;">
        <input type="text" style="float:right;" class="form-control" onchange="max31('day')" id="day"  name="day"  placeholder="يوم">
      </div>
      <div class="col-md-1"style="float:right;padding:2px;">
        <input type="text" style="float:right;" class="form-control" onchange="max12('month')" id="month"  name="month" placeholder="شهر">
      </div>
      <div class="col-md-1"style="float:right;padding:2px;">
        <input type="text" style="float:right;" class="form-control" onchange="max14('year')" id="year" name="year" placeholder="سنة">
      </div>
      <div class="col-md-2"style="float:right;padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="birth_hijri" name="birth_hijri"      placeholder="الميلاد بالهجري" readonly>
      </div>
      <div class="col-md-2"style="float:right;">
        <label for="birth" class="control-label"style="float:left;">تاريخ الميلاد ميلادي</label>
      </div>
        <div class="col-md-2"style="float:right;padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="birth" name="birth"  placeholder="<?php echo(date('Y-m-d', strtotime(' - 21 year')));  ?>"
         readonly >
        <script>
        function max12(field){
              var data =  parseInt($("#"+ field).val());
                if(data > 12){
            $("#"+ field).val(12);
                 }else if(data < 1){
              $("#"+ field).val(1);
              }
            }
            function max31(field){
              var data =  parseInt($("#"+ field).val());
                if(data > 31){
            $("#"+ field).val(31);
                 }else if(data < 1){
              $("#"+ field).val(1);
              }
            } 
            function max14(field){
              var data =  parseInt($("#"+ field).val());
                if(data > 2003){
            $("#"+ field).val(2002);
                 }else if(data < 1373){
              $("#"+ field).val(1373);
              }
            } 
        </script>
      </div>
      </div>

    <hr />
    <div class="row" style="padding:4px;">
      <div class="col-xs-2 col-md-2"style="float:right;">
      <label for="working_woner" class="control-label "style="float:left;">جهة العمل</label>
      </div>
      <div class="col-xs-6 col-md-5"style="float:right; padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="working_woner" name="working_woner" placeholder="اسم جهة العمل">
        <div class="text-danger" style="font-size:14px;" id="working_woner_msg"></div>
      </div>
      <div class="col-xs-3 col-md-2"style="float:right;">
          <!-- <label for="job" class="control-label"style="float:left;">المهنة</label> -->
        </div>
        <div class="col-xs-3 col-md-2"style="float:right;padding:2px">
          <!-- <input type="text" class="form-control" style="float:right;" id="job" name="job" placeholder="المهنة"/> -->
          <!-- <div class="text-danger" style="font-size:14px;" id="job_msg"></div> -->
        </div>
    </div>
    <div class="row" style="padding:4px;">
      <div class="col-md-2"style="float:right;">
      <label for="w_phone" class="control-label" style="float:left;">تليفون العمل</label>
      </div>
      <div class="col-md-2"style="float:right;padding:2px;">
        <input type="number" style="float:right;" class="form-control" id="w_phone" name="w_phone"  onchange="ten('w_phone')" placeholder="رقم الجوال" />
        <div class="text-danger" style="font-size:14px;" id="w_phone_msg"></div>
      </div>
      <div class="col-md-2"style="float:right;">
      <label for="w_phone2" class="control-label "style="float:left;">تليفون العمل2</label>
      </div>
      <div class="col-md-2"style="float:right;padding:2px">
        <input type="number" style="float:right;" class="form-control" id="w_phone2" name="w_phone2" onchange="ten('w_phone2')" placeholder="رقم جوال2">
        <div class="text-danger" style="font-size:14px;" id="w_phone2_msg"></div>
      </div>
      <div class="col-md-1"style="float:right;">
      <!-- <label for="cust_vat" class="control-label "style="float:left;">الرقم الضريبي</label> -->
      </div>
      <div class="col-md-3"style="float:right;padding:2px">
        <!-- <input type="number" style="float:right;" class="form-control" id="cust_vat" name="cust_vat" onchange="fifteen('cust_vat')" placeholder="الرقم الضريبي"> -->
        <!-- <div class="text-danger" style="font-size:14px;" id="cust_vat_msg"></div> -->
      </div>
  </div>
    <div class="row" style="padding:4px;">
        <div class="col-xs-6 col-md-2"style="float:right;">
          <label for="working_address" class="control-label"style="float:left;">عنوان العمل</label>
        </div>
        <div class="col-xs-6 col-md-6"style="float:right;padding:2px">
          <input type="text" class="form-control" style="float:right;" id="working_address" name="working_address" placeholder="عنوان جهة العمل"/>
          <div class="text-danger" style="font-size:14px;" id="working_address_msg"></div>
        </div>
    </div>
    <hr />
    <div class="row" style="padding:4px;">
        <div class="col-xs-3 col-md-2"style="float:right;">
          <label for="license" class="control-label"style="float:left;">رقم الرخصة</label>
        </div>
        <div class="col-xs-3 col-md-2"style="float:right;padding:2px;">
          <input type="number" class="form-control" style="float:right;" id="license" name="license" placeholder="رقم الرخصة" required/>
          <div class="text-danger" style="font-size:14px;" id="license_msg"></div>
        </div>
        <div class="col-xs-3 col-md-1"style="float:right;">
          <label for="lic_From" class="control-label"style="float:left;">صادر من</label>
        </div>
        <div class="col-xs-3 col-md-2"style="float:right;padding:2px">
          <input type="text" class="form-control" style="float:right;" id="lic_from" name="lic_from" value="جدة" placeholder="مصدرها"/>
          <div class="text-danger" style="font-size:14px;" id="lic_from_msg"></div>
        </div>
        <div class="col-xs-3 col-md-1"style="float:right;">
          <label for="lic_expire" class="control-label"style="float:left;">تنتهي</label>
        </div>
          <div class="col-xs-3 col-md-2"style="float:right;padding:2px;">
          <input type="text" style="float:right;" class="form-control" id="lic_expire" name="lic_expire" onchange="mkhh('lic_expire')" placeholder="نهاية الرخصة" required/>
          <div class="text-danger" style="font-size:14px;" id="lic_expire_msg"></div>
          <script>
            $(function() {
              var calendar = $.calendars.instance();
              $('#lic_expire').calendarsPicker({
                calendar: calendar,
                yearRange: 'c+0:c+10',
                minDate : -1.03
              });
              });
          </script>
        </div>
    </div>
    <div class="row" style="padding:4px;">
      <div class="col-xs-6 col-md-2"style="float:right;">
      <label for="phone" class="control-label "style="float:left;">رقم الجوال</label>
      </div>
      <div class="col-xs-3 col-md-2"style="float:right;padding:2px;">
        <input type="number" style="float:right;" class="form-control" id="phone" name="phone" onchange="ten('phone')" placeholder="رقم الجوال" />
        <div class="text-danger" style="font-size:14px;" id="phone_msg"></div>
      </div>
      <div class="col-xs-6 col-md-2"style="float:right;">
      <label for="phone2" class="control-label "style="float:left;">جوال2</label>
      </div>
      <div class="col-xs-3 col-md-2"style="float:right;padding:2px">
        <input type="number" style="float:right;" class="form-control" id="phone2" name="phone2" onchange="ten('phone2')" placeholder="رقم جوال2">
        <div class="text-danger" style="font-size:14px;" id="phone2_msg"></div>
      </div>
  </div>
  <!-- // -->
  <!-- <div class="row"style="padding:4px;">
      <div class="col-md-2"style="float:right;">
        <label for="CityName" class="control-label"style="float:left;">المدينة</label>
      </div>
        <div class="col-md-2"style="float:right; padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="CityName" name="CityName"  placeholder="المدينة" value="جدة" >
      </div>
      <div class="col-md-2"style="float:right; padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="SubDivisionName" name="SubDivisionName"  placeholder="الحي" >
      </div>
      <div class="col-md-2"style="float:right;padding:2px; padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="StreetName"  name="StreetName"  placeholder="شارع">
      </div>
      <div class="col-md-1"style="float:right;padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="BuildingNumber"  name="BuildingNumber" placeholder="المبني">
      </div>
      <div class="col-md-1"style="float:right;padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="PlotIdentification" name="PlotIdentification" placeholder="وحدة">
      </div>
      <div class="col-md-2"style="float:right;padding:2px;">
        <input type="text" style="float:right;" class="form-control" id="PostalNumber" name="PostalNumber"  placeholder="الرقم البريدي">
      </div>
      
      </div> -->
  <!-- // -->
    <div class="row" style="padding:4px;">
        <div class="col-xs-2 col-md-2"style="float:right;">
          <label for="address" class="control-label"style="float:left;">العنوان</label>
        </div>
        <div class="col-xs-7 col-md-7"style="float:right;padding:2px">
          <input type="text" class="form-control" style="float:right;" id="address" name="address" placeholder="عنوان السكن"/>
          <div class="text-danger" style="font-size:14px;" id="address_msg"></div>
        </div>
        <div class="col-xs-1 col-md-1"style="float:right;padding:2px">
          <input type="number" style="float:right;" class="form-control" id="dgree" name="dgree" value="65" placeholder="تقييم">
          <div class="text-danger" style="font-size:14px;" id="dgree_msg"></div>
        </div>
    </div>

<div class="row" style="padding:4px;">
        <div class="col-xs-3 col-md-2"style="float:right;">
        <label for="comm" class="control-label"style="float:left;">ملاحظات</label>
        </div>
        <div class="col-xs-9 col-md-10"style="float:right;padding:2px">
        <input type="text" class="form-control" style="float:right;" id="comm" name="comm" placeholder="ملاحظات ">
        <div class="text-danger" style="font-size:14px;" id="comm_msg"></div>
        </div>
  </div>
  <p><br/></p>
  <div class="form-group">
    <div id="new6_msg" name="new6_msg"></div>
    <div class="col-xs-12 col-md-12">
      <input style="float:right ;" type="button" id="add_button" name="add_button" class="btn btn-success" value="حفظ بيانات المستأجر">
    </div>
  </div>
</form>
<br />
<form  method="POST" id="form_photo" class="form-horizontal" enctype="multipart/form-data" style="display:none ;">
           <br />
         <input type="hidden" id="cust_dd" 	class="hidden-print"	name="cust_dd" value=""/>
         <input type="hidden" id="photo_idSA" name="photo_idSA" value=""/>

   <div class="row" style="padding:4px;">
        <div class="col-xs-6 col-md-6"style="float:right;">
             <input style="float:right ; font-weight:bold;" type="file" class="btn btn-primary" name="cust_photo" id="cust_photo"  />
        </div>
        <div class="col-xs-3 col-md-2"style="float:right;">
            <input style="float:right ; font-weight:bold;" type="submit" class="btn btn-primary hidden-print" id="photo_paly" farm="form_photo" value="حفظ صورة الهويةو الرخصة" />
        </div>
          <br />
        <div id="form_photo_msg"></div>
   </div>
</form> <!-- /form -->

</div>
</div>
<!-- panel body style -->
<?php
require_once "../magic/DataBase.php";
$dataBase = new DataBase();
	$conn = $dataBase->getConnection();
        $output3 = array();
            $nat = $conn->prepare("SELECT nationality FROM nations order by nation_id");
            $nat->execute();
            $n=0;
            if($nat->rowCount()>0)
              {
                 while($row = $nat->fetch())
                 {
                     $output3[$n] = array(
                       "value" => $row["nationality"], 
                       "data" => $row["nationality"]   );

                        $n++ ;
                   }
                }
            else  { $output3[0]= 'جنسية جديد';  }
            // echo($output3);
?>

<script>
$(document).ready(function(){
  var nat=  JSON.parse('<?php echo json_encode($output3) ; ?>');

$('#nation_sr').autocomplete({
           lookup: nat,
           maxHeight : 200,
           onSelect: function(suggestion) {
          $('#nation').html(suggestion.data);
                        }
                      });

$("#add_button").click(function(event){
  event.preventDefault();
  $("#idSA_msg").html('');
      $("#xn_msg").html('');
      $("#cust_name_msg").html('');
      $("#id_From_msg").html('');
      // $("#job_msg").html('');
      $("#nation_msg").html('');
      $("#working_woner_msg").html('');
      $("#w_phone_msg").html('');
      $("#w_phone2_msg").html('');
      $("#working_address_msg").html('');
      $("#license_msg").html('');
      $("#lic_from_msg").html('');
      $("#phone_msg").html('');
      $("#phone2_msg").html('');
      $("#address_msg").html('');
      $("#dgree_msg").html('');
      $("#comm_msg").html('');
      $("#new6_msg").html('');
      $("#lic_expire_msg").html('');
      var err = 0 ;

      convertDate("year","month","day",'birth_hijri','birth') ;
        var idSA         = $('#idSA').val();
        var xn           = $('#xn').val();
        var address      = $('#address').val();
        var cust_name    = $('#cust_name').val();
        var nation       = $('#nation_sr').val();
        var phone        = $('#phone').val();
        if(address.length < 4){
          $("#address_msg").html(' فضلاً سجل عنوان المستأجر مدينة / حي / شارع رقم مبني');
          err++ ;
        }
        if(xn < 1){
          $("#xn_msg").html('فضلا سجل رقم النسخة');
          err++ ;
        }
        if(idSA.length < 10){
          $("#idSA_msg").html('فضلا تأكد من رقم الهوية');
          err++ ;
        }
        if(cust_name.length < 9){
          $("#cust_name_msg").html("فضلا تأكد من إسم المستأجر");
          err++ ;
        }
        if(nation.length < 2){
          $("#nation_msg").html('تأكد من تسجيل الجنسية');
          err++ ;
        }
        if(phone.length < 10){
          $("#phone_msg").html('فضلا سجل رقم الجوال 10 أرقام');
          err++ ;
        }
        if(err > 0){
          // alert(err);
          exit();
        }
        
     
$.ajax({
    url       : "actions/new6customer.php",
    method    : "POST",
    data      :$("#new6").serialize(),
    dataType	:	"json",
    success 	: function(data){
      if(data.error){
        $("#idSA_msg").html(data.error.idSA);
        $("#xn_msg").html(data.error.xn);
        $("#cust_name_msg").html(data.error.cust_name);
        $("#id_From_msg").html(data.error.id_From);
        // $("#job_msg").html(data.error.job);
        $("#nation_msg").html(data.error.nation);
        $("#working_woner_msg").html(data.error.working_woner);
        $("#w_phone_msg").html(data.error.w_phone);
        $("#w_phone2_msg").html(data.error.w_phone2);
        $("#working_address_msg").html(data.error.working_address);
        $("#license_msg").html(data.error.license);
        $("#lic_from_msg").html(data.error.lic_from);
        $("#phone_msg").html(data.error.phone);
        $("#phone2_msg").html(data.error.phone2);
        $("#address_msg").html(data.error.address);
        $("#dgree_msg").html(data.error.dgree);
        $("#comm_msg").html(data.error.comm);
        $("#new6_msg").html(data.error.new6);
    }
    else
    {
        $("#new6_msg").html(data.new6);
        $("#cust_dd").val(data.cust_dd);
        $("#photo_idSA").val(data.photo_idSA);
        $("#new6_msg").delay(7000).slideUp(function(){  $("#new6_msg").html(''); });
        $('#form_photo').css("display","block");
        $('#add_button').css("display","none");
}
}
  });
});

function one_cust(cust_id){
  $.ajax({
  url:"actions/cust_single.php",
  method:"POST",
  data:{cust_id:cust_id},
  dataType:"json",
  success:function(data)
  {
    $("#cust_id").val(data.cust_id);
		$("#idSA").val(data.idSA);
    $("#xn").val(data.xn);
		$("#cust_name").val(data.cust_name);
    $("#id_From").val(data.id_From);
    $("#id_Expire").val(data.id_Expire);
    // $("#job").val(data.job);
		$("#nation").val(data.nation);
    $("#religion").val(data.religion);
		$("#working_lic").val(data.working_lic);
    $("#working_woner").val(data.working_woner);
    $("#w_phone").val(data.w_phone);
		$("#w_phone2").val(data.w_phone2);
		$("#working_address").val(data.working_address);
		$("#license").val(data.license);
		$("#lic_from").val(data.lic_from);
		$("#lic_expire").val(data.lic_expire);
		$("#phone").val(data.phone);
		$("#phone2").val(data.phone2);
		$("#address").val(data.address);
		$("#cust_photo").val(data.cust_photo);
		$("#start").val(data.start);
		$("#comm").val(data.comm);
		$("#dgree").val(data.dgree);
		$("#branch").val(data.branch);

  }
});
}
$('#form_photo').on('submit', function(event){
                    event.preventDefault();
                    var cust_dd = $('#cust_dd').val();
                    // alert(carid);
                   var extension = $('#cust_photo').val().split('.').pop().toLowerCase();
                    if(extension != '')
              {
                if(jQuery.inArray(extension, ['png','jpg','jpeg']) == -1)
                   {
                        alert("صور jpg فقط");
                        $('#cust_photo').val('');
                        return false;
                   }
                   var oFReader = new FileReader();
                          oFReader.readAsDataURL(document.getElementById("cust_photo").files[0]);
                          var f = document.getElementById("cust_photo").files[0];
                          var fsize = f.size||f.fileSize;
                          if(fsize > 1600000)
                          {
                          alert("حجم الصورة كبير جدا ...");
                          return false;
                          }
                $.ajax({
                     url		:"actions/cust_update.php",
                     method	:"POST",
                     data:new FormData(this),
                     contentType:false,
                     processData:false,
                     success:function(data)
                 {
                   $('#form_photo')[0].reset();
                   $('#cust_preview').attr("src","../photo/customers/"+data);
                   $('#form_photo_msg').html(data);
                   $("#form_photo_msg").delay(7000).slideUp(function(){  $("#form_photo_msg").html(''); });
                }
                  });
              }
            });//end of button add image

function convertDates(name,ss,dest) {
    var date = $('#' + ss).val().split('/');
    var year = parseInt(date[0], 10);
  if(name == 'ummalqura'){
      if (year > 1800){ return false ;}
  } else if (name == 'gregorian') {
      if (year < 1800){ return false ;}
    }
        var month = parseInt(date[1], 10);
        var day = parseInt(date[2], 10);
  try {var jd = $.calendars.instance(name).newDate(year,month,day).toJD();}
  catch (e) {alert(e);		return;	}
    name == 'ummalqura'?showDate('gregorian', jd,dest):showDate('ummalqura', jd,dest);
      }

function showDate(name, jd,dest) {
  try {
      $('#' + dest).val('');
    var date = $.calendars.instance(name).fromJD(jd);
     $('#' + dest).val(date.formatYear()+'/'+date.month()+'/'+date.day());
    }
  catch (e) { alert(e); return null; }
  }

function convertDate(year,month,day,hj,melady) {
    var name = 'gregorian' ;
    var year = parseInt($('#' + year).val());
            if (year > 1800){name = 'gregorian' ;}
           else { name = 'ummalqura' ;}

    var month = parseInt( $('#' + month).val());
    var day   = parseInt($('#' + day).val());
    // alert(year+month+day+name);
try {
    var jd = $.calendars.instance(name).newDate(year,month,day).toJD();
   if(jd <1 ){
    alert("يوجد خطأ في تاريخ الميلاد");
   }
  }
catch (e) {alert(e);		return;	}
    showDate('gregorian', jd,melady) ;
    showDate('ummalqura', jd,hj);
      }
});//end of code
function ido(){
  var ido = $("#idSA").val();
      if(ido.length != 10){$("#idSA").css( "background-color", "#FF6B46");}else{
        $("#idSA").css( "background-color", "");
  if(ido < 2000000000){$("#nation_sr").val("سعودي") ;}else{$("#nation_sr").val("") ;}
  $("#license").val(ido);}
};

function ten(dd){
  var a = $("#"+ dd).val();
   if(a.length != 10){$("#"+ dd).css( "background-color", "#FF6B46");}else{ $("#"+ dd).css( "background-color", "");}
};
function fifteen(dd){
  var a = $("#"+ dd).val();
   if(a.length != 15){$("#"+ dd).css( "background-color", "#FF6B46");}else{ $("#"+ dd).css( "background-color", "");}
};


function mkhh(ss){
  var date = $('#' + ss).val().split('/');
  var year = parseInt(date[2], 10);
    if (year < 100){ year = year + 1400 ;}
  var month = parseInt(date[1], 10);
  if(month > 12){month = 12 ;}else if(month < 1){month = 1 ;}
  var day = parseInt(date[0], 10);
  if(day > 29){day = 29 ;}else if(day < 1){day = 1 ;}
  $('#' + ss).val(year + "/" + month + "/" + day );
}

</script>
